Subject: [BEHAVE] comments on draft-ietf-behave-ftp64-03

From: "Dan Wing" <[email-masked]>
Date: Wed, 19 May 2010 14:00:02 -0700

I like this draft overall.

Question / comment:

* Section 4.2 discusses the issue where the IPv4 address of the data
connection differs from the control connection.  I'll raise that in a separate
thread, as it's something I have been intending to discuss but have been too
distracted to put together my thoguhts.

* IANA considerations section says 'none', but there is an FTP command
registry at http://www.iana.org/protocols where ALGS will need to be
registered.  I recall you had asked about response codes in an email.  I think
this just slipped out of the edit of -03.

Nits:

1. The I-D should be point out that if there is no ALG on the path,
the ALGS command will most likely be forwarded to the IPv4 FTP 
server, which will return an error (most likely a 500 error).

2. Please add ABNF for the ALGS command and cite RFC4234.  ABNF is something
like:

  algs-command      = "ALGS" SP algs-token CRLF
  algs-token        = "STATUS64" / "ENABLE64" / "DISABLE64" 
                      / algs-ext-token
  algs-ext-token    = *VCHAR

  algs-response     = (ok-response / error-response) CRLF
  ok-response       = "216" SP response-token freetext
  response-token    = "NONE" / "EPSV" / "EPRT" / "EPSVEPRT"
  error-response    = not-implemented / invalid-parameter
  not-implemented   = "502" freetext
  invalid-parameter = "504" freetext
  freetext          = (SP *VCHAR)

http://www.apps.ietf.org/content/chris-newmans-abnf-validator is helpful to
build ABNF.

-d

---

From: Iljitsch van Beijnum <[email-masked]>
Date: Thu, 20 May 2010 16:54:13 +0200

On 19 mei 2010, at 23:00, Dan Wing wrote:

> registered.

Right.

> server, which will return an error (most likely a 500 error).

Ok.

> 2. Please add ABNF for the ALGS command and cite RFC4234.

Ahh... Or maybe 5234?

BTW, it's not stated that the command and its arguments are case insensitive. Does the normative reference to the FTP spec that already specifies this and the ABNF that does as well suffice, or should I say so explicitly?

I'll be traveling starting saturday until june 4, I'll do an update based on all the comments when I'm back.

---

From: "Dan Wing" <[email-masked]>
Date: Thu, 20 May 2010 08:45:50 -0700

> -----Original Message-----
> From: Iljitsch van Beijnum [mailto:[email-masked]] 
> Sent: Thursday, May 20, 2010 7:54 AM
> To: Dan Wing
> Cc: [email-masked]
> Subject: Re: comments on draft-ietf-behave-ftp64-03
> 
> BTW, it's not stated that the command and its arguments are 
> case insensitive. Does the normative reference to the FTP 
> spec that already specifies this and the ABNF that does as 
> well suffice, or should I say so explicitly?

A reminder is always helpful, especially that the responses
should be processed case-insensitive.

-d

> I'll be traveling starting saturday until june 4, I'll do an 
> update based on all the comments when I'm back.=